<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: functions.php
| Author: Philip Daly (HobbyMan)
| Encrypt/Decrypt functions by PMM
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."secure_messaging/infusion_db.php";
if (file_exists(INFUSIONS."secure_messaging/locale/".$settings['locale'].".php")) {
	include INFUSIONS."secure_messaging/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."secure_messaging/locale/English.php";
}

/*----------------------------- Settings -----------------------------------------*/

// Show disclaimer at bottom of page
// $disclaimer = true;
   $disclaimer = false;

// Send notification email via site email address (true) or senders email address (false)

   $typ_email = true;
// $typ_email = false;

/*----------------------------- End of Settings ----------------------------------*/


if (!function_exists("encrypt_message")){
function encrypt_message($data, $key) {
   $iv_size = mcrypt_get_iv_size(MCRYPT_RIJNDAEL_256, MCRYPT_MODE_ECB);
   $iv = mcrypt_create_iv($iv_size, MCRYPT_RAND);
   $encrypted_data = base64_encode(mcrypt_encrypt(MCRYPT_RIJNDAEL_256, $key, $data, MCRYPT_MODE_ECB, $iv));
   return $encrypted_data;
 }
}

if (!function_exists("decrypt_message")){
function decrypt_message($data, $key) {
   $iv_size = mcrypt_get_iv_size(MCRYPT_RIJNDAEL_256, MCRYPT_MODE_ECB);
   $iv = mcrypt_create_iv($iv_size, MCRYPT_RAND);
   $decrypted_data = mcrypt_decrypt(MCRYPT_RIJNDAEL_256, $key, base64_decode($data), MCRYPT_MODE_ECB, $iv);
   return $decrypted_data;
 }
}

if (!function_exists("randomkey")){
function randomkey() {
	$chars = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789^&*()%!~#";
	$len = 18;
	$count = strlen($chars);
	$key = "";
	while($len--){
		$key .= substr($chars,mt_rand()%$count,1);
	}
	return $key;
 }
}

$pm_conf = array(
                 0 => $locale['sms_036'], 
                 1 => $locale['sms_035'], 
                 3 => $locale['sms_038']
);

		echo "<script type='text/javascript'>\n";
		echo "/* <![CDATA[ */\n";
		echo "function DeleteSMG() {\n";
		echo "return confirm('".$locale['sms_110'].$locale['sms_111']."');\n}\n";
		echo "/* ]]>*/\n";
		echo "</script>\n";

$error = "";
?>