<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: secure_messages_view.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INCLUDES."infusions_include.php";
require_once INFUSIONS."secure_messaging/functions.php";

if (!iADMIN) { redirect("index.php"); }
add_to_title($locale['global_200'].$locale['sms_001'].$locale['sms_017']);

// Delete Message
if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['smg_id']) && isnum($_GET['smg_id']))) {
	$result = dbquery("DELETE FROM ".DB_SEC_MSG." WHERE smg_id='".$_GET['smg_id']."'");
		redirect(INFUSIONS."secure_messaging/secure_messaging.php");
	}

// Check for valid message ID
$message = (isset($_REQUEST['message'])) ? $_REQUEST['message'] : "0";
if (!isset($_GET['message']) || !preg_match("/^[A-Z]$/", $_GET['message'])) { $_GET['message'] = "$message"; }
if (!isset($_REQUEST['message'])) { redirect("index.php"); }

// Check for correct owner of message
$check_owner = dbarray(dbquery("SELECT smg_sender, smg_receiver, smg_subject FROM ".DB_SEC_MSG." WHERE smg_id ='".$message."'"));
if ($check_owner['smg_receiver'] != $userdata['user_id']) { redirect(INFUSIONS."secure_messaging/secure_messaging.php"); }

if (isset($_POST['decrypt_encmsg'])) { 
   $sentkey = stripinput($_POST['sentkey']);
   $smg_recon = stripinput($_POST['smg_recon']);
   if ($smg_recon == "2") { send_pm($check_owner['smg_sender'], $check_owner['smg_receiver'], $locale['sms_119'], $locale['sms_120'].$check_owner['smg_subject'].$locale['sms_121']); 
   $smg_recon = "3";}
   $result = dbquery("UPDATE ".DB_SEC_MSG." SET smg_read='1', smg_recon='".$smg_recon."' WHERE smg_id='".$message."'");
   } else { $sentkey = randomkey(); }

// Message
opentable($locale['sms_013']);

    echo "<table class='tbl-border' align='center' tbl-border width='100%'>\n<tr>\n";
	echo "<th valign='top' colspan='2' class='tbl'>".$locale['sms_015']." ID #".$message."</th>\n";
	echo "</tr><tr>\n";
	$result = dbquery("SELECT * FROM ".DB_SEC_MSG." WHERE smg_id ='".$message."' LIMIT 1");
	while($data = dbarray($result)) {
	$get_user_info = dbarray(dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." WHERE user_id = '".$data['smg_sender']."'"));
	echo "<td class='tbl1' colspan='2' align='center'>".($data['smg_delivery'] == '1' ? $locale['sms_114'].$locale['sms_115'] : $locale['sms_114'].$locale['sms_116'])."</td>\n";
	echo "</tr><tr>\n";
	echo "<td class='tbl1' colspan='2' align='right'>\n";
	if ($data['smg_recon'] == "1") { echo $locale['sms_117']; } elseif ($data['smg_recon'] >= "2") { echo $locale['sms_118']; }
	echo "</td>\n";
	echo "</tr><tr>\n";
	echo "<td class='tbl2' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['sms_018']."</td><td class='tb1'>".profile_link($get_user_info['user_id'], $get_user_info['user_name'], $get_user_info['user_status'])."</td>\n";
	echo "</tr><tr>\n";
	echo "<td class='tbl2' width='1%' style='white-space:nowrap'>".$locale['sms_011']."</td><td class='tb11'>".showdate("shortdate", $data['smg_datestamp'])."</td>\n";
	echo "</tr><tr>\n";
	echo "<td class='tbl2' width='1%' style='white-space:nowrap'>".$locale['sms_003']."</td><td class='tbl1'>".$data['smg_subject']."</td>\n";
	echo "</tr><tr>\n";
	echo "<td class='tbl1' colspan='2'>".decrypt_message($data['smg_message'], $sentkey)."</td>\n";
     }
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl2'><a href='".INFUSIONS."secure_messaging/secure_messaging.php'><button>".$locale['sms_008']."</button></a></td>\n";
	echo "<td class='tbl2' align='right'><i>".$locale['sms_032']."</i><a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;smg_id=".$message."' onclick='return DeleteSMG();'><button>".$locale['sms_110']."</button></a></td>\n";
	echo "</tr>\n</table>\n";

// Decrypt Form
    echo "<form id='decrypt_encmsg' name='send_encmsg' method='post' action='".FUSION_SELF."?message=".$message."'>\n";
    $check_recon = dbarray(dbquery("SELECT smg_recon FROM ".DB_SEC_MSG." WHERE smg_id ='".$message."'"));
    if ($check_recon['smg_recon'] == "1") { echo "<input type='hidden' name='smg_recon' value='2' />"; 
    } elseif ($check_recon['smg_recon'] == "3") { echo "<input type='hidden' name='smg_recon' value='3' />"; }
	echo "<table class='tbl-border' align='center' tbl-border width='600'>\n<tr>\n";
	echo "<td class='tbl' align='center'>".$locale['sms_102']." ID #".$message.": <input type='password' name='sentkey' value='' class='textbox' style='width:120px;' /></td>\n";
	echo "</tr><tr>\n";
	echo "<td class='tbl' align='center'><input type='submit' name='decrypt_encmsg' value='".$locale['sms_014']."' class='button' autocomplete='off' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "</table>\n</form>\n";

closetable();

require_once THEMES."templates/footer.php";
?>