<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: HobbyMan
| Web: http://www.hobbysites.net/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."secure_messaging/infusion_db.php";
if (file_exists(INFUSIONS."secure_messaging/locale/".$settings['locale'].".php")) {
	include INFUSIONS."secure_messaging/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."secure_messaging/locale/English.php";
}

// Infusion general information
$inf_title = $locale['sms_001'].$locale['sms_017'];
$inf_description = $locale['sms_001'];
$inf_version = "1.1";
$inf_developer = "HobbyMan";
$inf_email = "";
$inf_weburl = "http://www.hobbysites.net/";

$inf_folder = "secure_messaging";

$inf_newtable[1] = DB_SEC_MSG." (
smg_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
smg_sender MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
smg_receiver MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
smg_subject VARCHAR(100) DEFAULT '' NOT NULL,
smg_message TEXT NOT NULL,
smg_delivery TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
smg_read TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
smg_recon TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
smg_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (smg_id)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_PANELS." SET panel_name='".$locale['sms_001']."', panel_filename='secure_messaging_panel', panel_content='', panel_side=4, panel_order='1', panel_type='file', panel_access='102', panel_display='0', panel_status='1', panel_url_list='', panel_restriction=''";

$inf_droptable[1] = DB_SEC_MSG;

$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='secure_messaging_panel'";

$inf_sitelink[1] = array(
	"title" => $locale['sms_001'],
	"url" => "secure_messaging.php",
	"visibility" => "102"
);

?>