<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: secure_messaging.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INCLUDES."infusions_include.php";
require_once INFUSIONS."secure_messaging/functions.php";

if (!iADMIN) { redirect("index.php"); }
add_to_title($locale['global_200'].$locale['sms_001'].$locale['sms_017']);

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['smg_id']) && isnum($_GET['smg_id']))) {
	$result = dbquery("DELETE FROM ".DB_SEC_MSG." WHERE smg_id='".$_GET['smg_id']."'");
		redirect(FUSION_SELF);
	}

if (isset($_POST['send_encmsg'])) {

   $get_receiver = dbarray(dbquery("SELECT user_name, user_email FROM ".DB_USERS." WHERE user_id = '".$_POST['smg_receiver']."'"));
   $key = randomkey();
   $smg_sender = stripinput($userdata['user_id']);
   $smg_receiver = stripinput($_POST['smg_receiver']);
   $smg_subject = stripinput($_POST['smg_subject']);
   $smg_message = stripinput($_POST['smg_message']);
   $smg_recon = stripinput($_POST['smg_recon']);
   $smg_datestamp = stripinput(time());
   $encrypt_message = encrypt_message($smg_message, $key);
   $delivery_type = stripinput($_POST['delivery_type']);
   
   if ($smg_receiver == "0") { $error .= $locale['sms_028']."<br />\n"; }
   if ($smg_subject == "") {    $error .= $locale['sms_029']."<br />\n"; }
   if ($smg_message == "") {  $error .= $locale['sms_030']."<br />\n"; }

opentable($locale['sms_001']);
if ($error == "") {

     $result = dbquery("INSERT INTO ".DB_SEC_MSG." (smg_sender, smg_receiver, smg_subject, smg_message, smg_delivery, smg_read, smg_recon, smg_datestamp)
   VALUES ('".$smg_sender."', '".$smg_receiver."', '".$smg_subject."', '".$encrypt_message."', '".$delivery_type."', '0', '".$smg_recon."', '".$smg_datestamp."')");

  echo "<br /><div class='tbl2' align='center'><br />".$locale['sms_019'].$get_receiver['user_name']."</div>\n<br />\n";
  echo "<center><a href='".FUSION_SELF."'>".$locale['sms_020']."</a></center>\n";
  
// Delivery Type
   if ($delivery_type == "2") {
               echo "<br /><center>".$locale['sms_100']."<input type='text' value='".$key."' class='textbox' style='width:160px;' READONLY /></center>\n";
               echo "<center><i>".$locale['sms_108']."</i></center>\n";
   } elseif ($delivery_type == "1") {
       if ($typ_email) { $emailadd = $settings['siteemail']; } else { $emailadd = $userdata['user_email']; }
       require_once INCLUDES."sendmail_include.php";
       $email_body = $locale['sms_112']."<strong>".$smg_subject."</strong>".$locale['sms_113'].$key;
               sendemail($get_receiver['user_name'], $get_receiver['user_email'], $settings['siteusername'], $emailadd, $locale['sms_101'], $get_receiver['user_name'].$email_body);
    }  

  } else {
  echo "<br /><div class='tbl2' align='center'><b>".$locale['sms_106']."</b><br />".$error."<br /></div>\n<br />\n";
  echo "<center><a href='".FUSION_SELF."'>".$locale['sms_109']."</a></center>\n";
   }

closetable();

 } else {
 
opentable($locale['sms_001']);

    echo "<form id='send_encmsg' name='send_encmsg' method='post' action='".FUSION_SELF."'>\n";
	echo "<table class='tbl-border' align='center' width='100%'>\n<thead><tr>\n";
	echo "<th valign='top' colspan='2' class='tbl'>".$locale['sms_006']."</th>\n";
	echo "</tr>\n</thead>\n";
	echo "<tbody><tr>\n";
	echo "<td class='tbl2' width='1%' style='white-space:nowrap'>".$locale['sms_002'].":</td>\n";
	echo "<td class='tbl1'>\n";

	$result = dbquery("SELECT 
	                          user_id, 
	                          user_name, 
	                          user_status, 
	                          user_level   
	                          FROM ".DB_USERS." 
	                          WHERE user_status='0' 
	                          AND user_level >='102' 
	                          AND user_id != '".$userdata['user_id']."' 
	                          ORDER BY user_name ASC
	                          ");
	if (dbrows($result)) {
	
	echo "<select name='smg_receiver' class='textbox'>\n";
    echo "<option value='0'>".$locale['sms_031']."</option>\n";
	while($data = dbarray($result)) {
	echo "<option value='".$data['user_id']."'>".$data['user_name']."</option>\n";
	    }
	echo "</select>\n";
	  }	else { echo $locale['sms_107'];
   }
	echo "</td>\n";
	echo "</tr><tr>\n";
	echo "<td class='tbl2' width='1%' style='white-space:nowrap'>".$locale['sms_003'].":</td>\n";
	echo "<td class='tbl1'><input type='text' name='smg_subject' maxlength='80' class='textbox' style='width:360px;' /><small>".$locale['sms_027']."</small></td>\n";
	echo "</tr><tr>\n";
	echo "<td class='tbl2' width='1%' style='white-space:nowrap'>".$locale['sms_004'].":</td>\n";
	echo "<td class='tbl1' valign='top'><textarea name='smg_message' cols='75' rows='10' class='textbox' style='width:98%'></textarea></td>\n";
	echo "</tr>\n<tr>\n";
	
	echo "<td class='tbl2'>".$locale['sms_033']."</td><td class='tbl1'>".$locale['sms_034'];
	echo "<label><input type='radio' name='smg_recon' value='1' /> ".$locale['sms_035']."</label>\n";
	echo "<label><input type='radio' name='smg_recon' value='0' checked='checked' /> ".$locale['sms_036']."</label>\n</td>\n";
	echo "</tr><tr>\n";
	
	echo "<td class='tbl2'>&nbsp;</td><td class='tbl1'>\n";
	echo "<label><input type='radio' name='delivery_type' value='1' checked='checked' /> ".$locale['sms_104']."</label>\n";
	echo "<label><input type='radio' name='delivery_type' value='2' /> ".$locale['sms_105']."</label> <a href='#' title='".$locale['sms_107']."'>?</a>\n";
	echo "<span style='float:right;'>".$locale['sms_007']."</span></td>\n";
	echo "</tr><tr>\n";
	echo "<td class='tbl' colspan='2' align='center'><input type='submit' name='send_encmsg' value='".$locale['sms_103']."' class='button' /><br /></td>\n";
	echo "</tr>\n</tbody>\n";

	echo "</table>\n</form>\n";

closetable();
   }
   
   opentable($locale['sms_009']);

    echo "<table border='0' width='100%' class='tbl-border'>\n<thead><tr>\n";
    echo "<th class='forum-caption'>ID#</th>\n";
    echo "<th class='forum-caption'>".$locale['sms_024']."</th>\n";
    echo "<th class='forum-caption'>".$locale['sms_010']."</th>\n";
    echo "<th class='forum-caption'>".$locale['sms_003']."</th>\n";
    echo "<th class='forum-caption'>".$locale['sms_011']."</th>\n";
    echo "<th class='forum-caption'>".$locale['sms_033']."</th>\n";
    echo "<th class='forum-caption'><small>".$locale['sms_037']."</small></th>\n";
	echo "</tr>\n</thead>\n";
     $result = dbquery("SELECT
                              smg_id, 
                              smg_sender, 
                              smg_subject, 
                              smg_read, 
                              smg_recon,  
                              smg_datestamp 
                              FROM ".DB_SEC_MSG."
                              WHERE smg_receiver = '".$userdata['user_id']."'   
                              ORDER BY smg_datestamp 
                              DESC
                              ");
     
if (dbrows($result)) {
	while($data = dbarray($result)) {
	$i % 2 == 0 ? $tclass="tbl1" : $tclass="tbl2";
	$get_user_info = dbarray(dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." WHERE user_id = '".$data['smg_sender']."'"));
	echo "<tbody><tr>\n";
	echo "<td class='$tclass' align='center' width='40'>".$data['smg_id']."</td>\n";
	echo "<td class='$tclass' align='center' width='80'>".($data['smg_read'] == '0' ? "<strong>".$locale['sms_025']."</strong>" : $locale['sms_026'])."</td>\n";
	echo "<td class='$tclass'>".profile_link($get_user_info['user_id'], $get_user_info['user_name'], $get_user_info['user_status'])."</td>\n";
	echo "<td class='$tclass'><a href='".INFUSIONS."secure_messaging/secure_messages_view.php?message=".$data['smg_id']."'>".($data['smg_read'] == '0' ? "<strong>".$data['smg_subject']."</strong>" : $data['smg_subject'])."</a></td>\n";
	echo "<td class='$tclass' align='center'>".showdate("shortdate", $data['smg_datestamp'])."</td>\n";
	echo "<td class='$tclass' align='center'><a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;smg_id=".$data['smg_id']."' onclick='return DeleteSMG();'>".$locale['sms_110']."</a></td>\n";
	echo "<td class='$tclass' align='center'>".$pm_conf[$data['smg_recon']]."</td>\n";
	echo "</tr>\n<tr>\n";
	$i++;
	}
} else {
    echo "<tr><td class='tbl1' align='center' colspan='7'>".$locale['sms_012']."</td></tr>\n"; }

echo "</tbody></table>\n";

closetable();

	if ($disclaimer) { echo "<div class='admin-message'>".$locale['sms_disclaimer']."</div>\n"; }

require_once THEMES."templates/footer.php";
?>